POST api/PBI_role/role
Request Information
URI Parameters
None.
Body Parameters
PBI_RoleViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
|
| code | string |
Required |
|
| customer_ID | globally unique identifier |
None. |
|
| customerName | string |
None. |
|
| id | globally unique identifier |
None. |
|
| names | Dictionary of string [key] and string [value] |
Required |
|
| permissions | Collection of PBI_PermissionsViewModel |
Required |
|
| site_ID | globally unique identifier |
Required |
|
| siteName | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": "sample string 2",
"customer_ID": "5bfb052d-2bc9-4c37-b304-503bcc4f5b56",
"customerName": "sample string 4",
"id": "d759b672-dd1f-4262-9ccf-aa96794e5413",
"names": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"permissions": [
{
"id": "004b1e9a-551b-4d09-a478-49646541817f",
"active": true,
"foreign_ID": "73698410-c95b-4789-a025-8ed92544a162",
"foreign_Label": "sample string 3",
"type": 1
},
{
"id": "004b1e9a-551b-4d09-a478-49646541817f",
"active": true,
"foreign_ID": "73698410-c95b-4789-a025-8ed92544a162",
"foreign_Label": "sample string 3",
"type": 1
}
],
"site_ID": "20ab26a1-3f23-401a-9f1c-7f5531f20ab3",
"siteName": "sample string 8"
}
application/xml, text/xml
Sample:
<PBI_RoleViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<customerName>sample string 4</customerName>
<customer_ID>5bfb052d-2bc9-4c37-b304-503bcc4f5b56</customer_ID>
<id>d759b672-dd1f-4262-9ccf-aa96794e5413</id>
<names xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</names>
<permissions>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>73698410-c95b-4789-a025-8ed92544a162</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>004b1e9a-551b-4d09-a478-49646541817f</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>73698410-c95b-4789-a025-8ed92544a162</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>004b1e9a-551b-4d09-a478-49646541817f</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
</permissions>
<siteName>sample string 8</siteName>
<site_ID>20ab26a1-3f23-401a-9f1c-7f5531f20ab3</site_ID>
</PBI_RoleViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"71bc0657-a1a3-4bba-8e83-dda67363ebc6"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">71bc0657-a1a3-4bba-8e83-dda67363ebc6</guid>